// import { defineStore } from "pinia"; // no need with auto import on nuxt-dynamic-layer

export const useProductStore = defineStore("product", {
  state: () => {
    return {
      selectedVariantId: "",
    };
  },
  actions: {
    setSelectedVariantId(id) {
      this.selectedVariantId = id;
    },
  },
})

if (import.meta.hot) {
  import.meta.hot.accept(acceptHMRUpdate(useProductStore, import.meta.hot))
}