import { isBrowser } from './is-browser';
import { isEditing } from './is-editing';

export function isPreviewing(): boolean {
  if (!isBrowser()) {
    return false;
  }

  if (isEditing()) {
    return false;
  }

  return window.location.search.indexOf('builder.preview=') !== -1;
  //return Boolean(location.search.indexOf('builder.preview=') !== -1);
}
