export const useGraphQL = async (isSystem: boolean, query: any, options: any = {}) => {
    return await useCustomFetch(`/graphql${isSystem ? '/system' : ''}`, {
        method: 'POST',
        body: {
            query: `
                query {
                    ${query}
                }
            `
        },
        ...options
    });
}