export function toCamelCase(str: string, upperFirst: boolean = false) {
	//return str.replace(/-|_./g, (m) => m[1].toUpperCase()) // uno-due-tre --> 'unoDueTre'
	str = str.replace(/[-|_]./g, (m) => m[1].toUpperCase()); // uno_due-tre --> 'unoDueTre'
	if (upperFirst) str = str[0].toUpperCase() + str.slice(1);
	return str;
}
